//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//						(c) 1997 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	Lccorr.cc --- lightcurve corrector class
//
//	DESCRIPTION:
//		Lightcurve
//
//	CHANGE HISTORY:
//		AI, 2007-05-30: 1.0.0: - first version
//
//	AUTHOR:
//		A. Ibarra, Wed May 30 16:32:18 GMT 2007
//
//	REFERENCES:
//
//


#include "Lccorr.h"
#include "LccorrUtils.h"
#include <iostream>

Lccorr::Lccorr(double binSize)
 : _binSize(binSize)
{
	_startTime = 0.0;
	_endTime = 0.0;
}


void Lccorr::setTimeLimits(const Column * col)
{

    vector<double> timeLimits = lcUtils.getRange(col);

    _startTime = timeLimits[0];
    _endTime = timeLimits[1];
}



void Lccorr::setTimeLimits(double startTime, double endTime)
{
	_startTime = startTime;
	_endTime = endTime;

}


void Lccorr::createTimeGrid()
{
	lcUtils.createGrid(_binSize,_startTime,_endTime);

}

void Lccorr::setSourceData(DataSet *sourceData)
{
	_srcLc = new Lightcurve(sourceData);

}

Lightcurve* Lccorr::sourceData()
{
	return _srcLc;
}
